Package org.zkoss.zul

## Class Attributes

- java.lang.Object
- - org.zkoss.zul.Attributes

-     public class Attributes
      extends java.lang.Object

  Common attributes used for implementation.
  Since:
    3.0.2
  Author:
    tomyeh

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `MODEL_RENDERAS` | It is used to store the items which are rendered from model
    `static java.lang.String` | `RENDERED_ITEM_COUNT` | It is used to count the count of the rendered Treeitem.
    `static java.lang.String` | `SELECTIVE_COMPONENT_UPDATE` | This is used to revert the fix of ZK-5468 starting from ZK 10.0.0, which is caused all Components with Model to be re-rendered when the model is changed, such as in Listbox and Grid without ROD, as well as in Tabbox, Searchbox, Stepbar, Organigram, and Chosenbox.
    `static java.lang.String` | `SHALL_RENDER_ITEM` | It is used to check whether Treechildren should render its children or not
    `static java.lang.String` | `VISITED_ITEM_COUNT` | It is used to count the count of the visible Treeitem without its Treechildren.
    `static java.lang.String` | `VISITED_ITEM_TOTAL` | It is used to count the total of the visible Treeitem, including its Treechildren.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Attributes()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RENDERED_ITEM_COUNT

          public static final java.lang.String RENDERED_ITEM_COUNT

      It is used to count the count of the rendered Treeitem.
      Since:
        3.0.7
      See Also:
        Constant Field Values

    - #### VISITED_ITEM_COUNT

          public static final java.lang.String VISITED_ITEM_COUNT

      It is used to count the count of the visible Treeitem without its Treechildren.
      Since:
        3.0.7
      See Also:
        Constant Field Values

    - #### VISITED_ITEM_TOTAL

          public static final java.lang.String VISITED_ITEM_TOTAL

      It is used to count the total of the visible Treeitem, including its Treechildren.
      Since:
        3.0.7
      See Also:
        Constant Field Values

    - #### SHALL_RENDER_ITEM

          public static final java.lang.String SHALL_RENDER_ITEM

      It is used to check whether Treechildren should render its children or not
      Since:
        5.0.0
      See Also:
        Constant Field Values

    - #### MODEL_RENDERAS

          public static final java.lang.String MODEL_RENDERAS

      It is used to store the items which are rendered from model
      See Also:
        Constant Field Values

    - #### SELECTIVE_COMPONENT_UPDATE

          public static final java.lang.String SELECTIVE_COMPONENT_UPDATE

      This is used to revert the fix of ZK-5468 starting from ZK 10.0.0, which is caused all Components with Model to be re-rendered when the model is changed, such as in Listbox and Grid without ROD, as well as in Tabbox, Searchbox, Stepbar, Organigram, and Chosenbox.

      Note: This attribute is intended solely for backward compatibility and is not meant to be used by developers for other purposes.

      Since:
        10.2.0
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Attributes

          public Attributes()